#include "gplbp.h"

void savebutton(GtkWidget *widget, struct CurrentEntries *curr)
{
	guint peach;

if (editing == 0) 
 {
	if (saved == 0)
	{
		fseek(datafile, 0, SEEK_END);
		peach = fwrite(curr, sizeof(struct CurrentEntries), 1, datafile);
		saved = 1;
		
		if (peach != 0)
		{
			gtk_widget_show(infolabel);
			gtk_timeout_add(2000, (GtkFunction) hideinfolabel, NULL);
		}

		#ifdef DEBUG
			g_print("Just wrote to %s.\n", lbpfilename);
			fflush(stdout);
		#endif
	}
	else
	{
		if (saved == 1)
		{
			fseek(datafile, -1 * sizeof(struct CurrentEntries), SEEK_END);
			peach = fwrite(curr, sizeof(struct CurrentEntries), 1, datafile);
			
			if (peach != 0)
			{
				gtk_widget_show(infolabel);
				gtk_timeout_add(2000, (GtkFunction) hideinfolabel, NULL);
			}
		
			#ifdef DEBUG
				g_print("Just rewrote the old datastructure in %s.\n", lbpfilename);
				fflush(stdout);
			#endif
		}
	}
 }
else
 {
		#ifdef DEBUG
			g_print("It looks like you're editing a pre-existing flight.\n");	
			fflush(stdout);
		#endif
		fseek(datafile, sizeof (struct CurrentEntries) * clistrow1, SEEK_SET);
		#ifdef DEBUG
			g_print("Fseeking back %i bytes.\n", sizeof(struct CurrentEntries) * clistrow1);
			fflush(stdout);
		#endif
		peach = fwrite(curr, sizeof(struct CurrentEntries), 1, datafile);
		if (peach !=0)
		{
			gtk_widget_show(infolabel);
			gtk_timeout_add(2000, (GtkFunction) hideinfolabel, NULL);
		}
		#ifdef DEBUG
			g_print("Just wrote to the %i'th structure.\n", clistrow1 + 1);
			fflush(stdout);
		#endif
 }
	
	if (logbookwindow != NULL)
	{
		gtk_widget_destroy(logbookwindow);
		logbookwindow = NULL;
		viewlogbook(NULL, curr);
	}
}

void resetbutton(GtkWidget *widget, struct CurrentEntries *curr)
{
	clistrow = -1;
	editing = 0;
	memset(curr, '\0', sizeof(struct CurrentEntries));
	gtk_widget_destroy(activitytable);
        drawactivity(curr);
	saved = 0;
	#ifdef DEBUG
		g_print ("Just left the reset button function.\n");
		fflush(stdout);
	#endif
}
