#include "gplbp.h"

GtkWidget * AddMenu(GtkWidget *menu, gchar *text)
{
	GtkWidget *menuitem;
	menuitem = gtk_menu_item_new_with_label(text);
	gtk_menu_append(GTK_MENU(menu), menuitem);
	gtk_widget_show(menuitem);
	return menuitem;
}

void drawmenu(GtkWidget *box, struct CurrentEntries *curr)
{
	GtkWidget *menu;
	GtkWidget *menuheading;
	GtkWidget *menubar;
	GtkWidget *menuitem;
	GtkWidget *menu2;
	GtkWidget *menu3;
	GtkWidget *menuheading3;
	GtkWidget *menuheading2;
/* Set up the File Menu.  To save memory usage, we will set up signals here, rather than down below. */
	menubar = gtk_menu_bar_new();
        menu = gtk_menu_new();
        menuitem = AddMenu(menu, "New");
	gtk_signal_connect_object(GTK_OBJECT(menuitem), "activate", GTK_SIGNAL_FUNC(resetbutton), (gpointer) curr);
        AddMenu(menu, "Open Database");
        AddMenu(menu, "Close Database");
        menuitem = AddMenu(menu, "Save");
	gtk_signal_connect_object(GTK_OBJECT(menuitem), "activate", GTK_SIGNAL_FUNC(savebutton), (gpointer) curr);
        AddMenu(menu, "Save As");
        menuitem = AddMenu(menu, "Exit");
        gtk_signal_connect_object(GTK_OBJECT(menuitem), "activate", GTK_SIGNAL_FUNC(delete_event), (gpointer) curr);
        menuheading = gtk_menu_item_new_with_label("File");
        gtk_menu_item_set_submenu(GTK_MENU_ITEM(menuheading), menu);
	gtk_menu_bar_append(GTK_MENU_BAR(menubar), menuheading);

	menu2 = gtk_menu_new();
	AddMenu(menu2, "Cut");
	AddMenu(menu2, "Copy");
	AddMenu(menu2, "Paste");
	menuitem = AddMenu(menu2, "Preferences");
	gtk_signal_connect_object(GTK_OBJECT(menuitem), "activate", GTK_SIGNAL_FUNC(change_preferences), NULL);
	menuheading2 = gtk_menu_item_new_with_label("Edit");
	gtk_menu_item_set_submenu(GTK_MENU_ITEM(menuheading2), menu2);
	gtk_menu_bar_append(GTK_MENU_BAR(menubar), menuheading2);

	menu3 = gtk_menu_new();
	menuitem = AddMenu(menu3, "About");
	gtk_signal_connect_object(GTK_OBJECT(menuitem), "activate", GTK_SIGNAL_FUNC(show_splash_screen), (gpointer) curr);
	menuheading3 = gtk_menu_item_new_with_label("Help");
	gtk_menu_item_set_submenu(GTK_MENU_ITEM(menuheading3), menu3);
        gtk_menu_bar_append(GTK_MENU_BAR(menubar), menuheading3);

	gtk_widget_show(menubar);
        gtk_widget_show(menuheading);
	gtk_widget_show(menuheading2);
	gtk_widget_show(menuheading3);
	gtk_box_pack_start(GTK_BOX(box), menubar, FALSE, TRUE, 0);


}
