#include "gplbp.h"

void datechanged(GtkWidget *widget, struct CurrentEntries *data)
{
	gchar *text;

	text = gtk_entry_get_text(GTK_ENTRY(widget));
	strncpy(data->Date, text, DTMAX);

	#ifdef DEBUG
	g_print("Looks like you just put %s into the date field.\n", text);
	g_print("The date in the structure is currently: %s\n", data->Date);
	fflush(stdout);
	#endif

}

void tailchanged(GtkWidget *widget, struct CurrentEntries *data)
{
	gchar *text;
	
	text = gtk_entry_get_text(GTK_ENTRY(widget));
	strncpy(data->TailNumber, text, TNMAX);

	#ifdef DEBUG
	g_print("Looks like you just put %s into the tail number field.\n", text);
	g_print("The tail number in the structure is currently: %s\n", data->TailNumber);
	fflush(stdout);
 	#endif
}

void makemodelchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->MakeModel, text, MMMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the make/model field.\n", text);
        g_print("The tail number in the structure is currently: %s\n", curr->MakeModel);
        fflush(stdout);
        #endif
}

void fromchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->From, text, FRMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the From field.\n", text);
        g_print("The From (route) member in the structure is currently: %s\n", curr->From);
        fflush(stdout);
        #endif
}

void tochanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->To, text, TOMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the To field.\n", text);
        g_print("The to member in the structure is currently: %s\n", curr->To);
        fflush(stdout);
        #endif
}

void totaldurchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->TotalDur, text, TDMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the TotalDur field.\n", text);
        g_print("The TotalDur member in the structure is currently: %s\n", curr->TotalDur);
        fflush(stdout);
        #endif
}


void siminstchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->SimInst, text, SIMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the SimInst field.\n", text);
        g_print("The SimInst member in the structure is currently: %s\n", curr->SimInst);
        fflush(stdout);
        #endif
}

void actinstchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->ActInst, text, AIMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the ActInst field.\n", text);
        g_print("The ActInst member in the structure is currently: %s\n", curr->ActInst);
        fflush(stdout);
        #endif
}

void appschanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->Apps, text, APPSMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the Approach field.\n", text);
        g_print("The Apps member in the structure is currently: %s\n", curr->Apps);
        fflush(stdout);
        #endif
}

void typeofapproachchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
	gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->TypeOfApproaches, text, TOAMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the TypeOfApproaches field.\n", text);
        g_print("The TypeOfApproaches member in the structure is currently: %s\n", curr->TypeOfApproaches);
        fflush(stdout);
        #endif
}

void daychanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->Day, text, DAYMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the Day field.\n", text);
        g_print("The Day member in the structure is currently: %s\n", curr->Day);
        fflush(stdout);
        #endif
}


void nightchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->Night, text, NIGHTMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the Night field.\n", text);
        g_print("The Night member in the structure is currently: %s\n", curr->Night);
        fflush(stdout);
        #endif
}

void dayldgschanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->DayLdgs, text, DLMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the DayLdgs field.\n", text);
        g_print("The DayLdgs member in the structure is currently: %s\n", curr->DayLdgs);
        fflush(stdout);
        #endif
}

void nightldgschanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->NightLdgs, text, NLMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the NightLdgs field.\n", text);
        g_print("The NightLdgs member in the structure is currently: %s\n", curr->NightLdgs);
        fflush(stdout);
        #endif
}

void xcchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->XC, text, XCMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the X/C field.\n", text);
        g_print("The X/C member in the structure is currently: %s\n", curr->XC);
        fflush(stdout);
        #endif
}

void picchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->PIC, text, PICMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the PIC field.\n", text);
        g_print("The PIC member in the structure is currently: %s\n", curr->PIC);
        fflush(stdout);
        #endif
}

void sicchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->SIC, text, SICMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the SIC field.\n", text);
        g_print("The SIC member in the structure is currently: %s\n", curr->SIC);
        fflush(stdout);
        #endif
}

void part135changed(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->Part135, text, P135MAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the Part135 field.\n", text);
        g_print("The Part135 member in the structure is currently: %s\n", curr->Part135);
        fflush(stdout);
        #endif
}

void part121changed(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->Part121, text, P121MAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the Part121 field.\n", text);
        g_print("The Part121 member in the structure is currently: %s\n", curr->Part121);
        fflush(stdout);
        #endif
}

void milchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->Mil, text, MILMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the MIL field.\n", text);
        g_print("The MIL member in the structure is currently: %s\n", curr->Mil);
        fflush(stdout);
        #endif
}

void aselchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->ASEL, text, ASELMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the ASEL field.\n", text);
        g_print("The ASEL member in the structure is currently: %s\n", curr->ASEL);
        fflush(stdout);
        #endif
}

void amelchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->AMEL, text, AMELMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the AMEL field.\n", text);
        g_print("The AMEL member in the structure is currently: %s\n", curr->AMEL);
        fflush(stdout);
        #endif
}

void highperfchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->HighPerf, text, HPMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the HighPerf field.\n", text);
        g_print("The HighPerf member in the structure is currently: %s\n", curr->HighPerf);
        fflush(stdout);
        #endif
}

void jetchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->Jet, text, JETMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the Jet field.\n", text);
        g_print("The Jet member in the structure is currently: %s\n", curr->Jet);
        fflush(stdout);
        #endif
}

void retractchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->Retract, text, RETMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the Retract field.\n", text);
        g_print("The Retract member in the structure is currently: %s\n", curr->Retract);
        fflush(stdout);
        #endif
}

void tpropchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->TProp, text, TPMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the TProp field.\n", text);
        g_print("The TProp member in the structure is currently: %s\n", curr->TProp);
        fflush(stdout);
        #endif
}

void simchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->Sim, text, SIMMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the Sim field.\n", text);
        g_print("The Sim member in the structure is currently: %s\n", curr->Sim);
        fflush(stdout);
        #endif
}

void helochanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->Helo, text, HELOMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the Helo field.\n", text);
        g_print("The Helo member in the structure is currently: %s\n", curr->Helo);
        fflush(stdout);
        #endif
}

void gliderchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->Glider, text, GLIMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the Glider field.\n", text);
        g_print("The Glider member in the structure is currently: %s\n", curr->Glider);
        fflush(stdout);
        #endif
}

void tailwheelchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->TailWheel, text, TWMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the TailWheel field.\n", text);
        g_print("The TailWheel member in the structure is currently: %s\n", curr->TailWheel);
        fflush(stdout);
        #endif
}

void user1changed(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->User1, text, U1MAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the User1 field.\n", text);
        g_print("The User1 member in the structure is currently: %s\n", curr->User1);
        fflush(stdout);
        #endif
}

void user2changed(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->User2, text, U2MAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the User2 field.\n", text);
        g_print("The User2 member in the structure is currently: %s\n", curr->User2);
        fflush(stdout);
        #endif
}

void dualrecchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->DualRec, text, DRMAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the DualRec field.\n", text);
        g_print("The DualRec member in the structure is currently: %s\n", curr->DualRec);
        fflush(stdout);
        #endif
}

void dualgivchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
        gchar *text;

        text = gtk_entry_get_text(GTK_ENTRY(widget));
        strncpy(curr->DualGiv, text, U2MAX);

        #ifdef DEBUG
        g_print("Looks like you just put %s into the DualGiv field.\n", text);
        g_print("The DualGiv member in the structure is currently: %s\n", curr->DualGiv);
        fflush(stdout);
        #endif
}

void boxchanged(GtkWidget *widget, struct CurrentEntries *curr)
{
	gchar *thetext;
	
	thetext = gtk_editable_get_chars(GTK_EDITABLE(widget), 0, -1);

	#ifdef DEBUG
	g_print("The text in the box is: %s\n", thetext);
	fflush(stdout);
	#endif

	strncpy(curr->RemarksAndEndorsements, thetext, RAEMAX);
	
	g_free(thetext);
}


