#include "gplbp.h"

int main(int argc, char *argv[])
{
	struct CurrentEntries *curr;

	gtk_init(&argc, &argv);

	if((argc > 1) && (strstr(argv[1], "--help")))
	{
		Usage(); 
	}

	
	saved = 0;

	curr = malloc(sizeof(struct CurrentEntries));
	old = malloc(sizeof(struct OldEntries));
	pref = malloc(sizeof(struct Preferences));

	if ((curr == NULL) || (old == NULL) || (pref == NULL))
	{
		fprintf(stderr, "Malloc failed.  Out of memory?\n");
		exit(255);
	}

	memset(curr, '\0', sizeof(struct CurrentEntries));


	newwindow = NULL;
	textwindow = NULL;
	datafile = NULL;
	logbookwindow = NULL;
	prefwindow = NULL;
	splashwindow = NULL;
	clistrow = -1;
	editing = 0;
	
	#ifdef DEBUG
		g_print("Total memory allocated for the structure: %i bytes.\n", sizeof(struct CurrentEntries));
		g_print("Allocated %i bytes of memory for the preferences.\n", sizeof(struct Preferences));
	#endif
	
	prompt_for_file(curr);
	gtk_main();

	free(curr);
 	#ifdef DEBUG
		g_print("Freed %i bytes of memory.\n", sizeof(struct CurrentEntries));
		fflush(stdout);
	#endif

	free(old);
        #ifdef DEBUG
                g_print("Just freed %i bytes of memory\n", sizeof(struct OldEntries));
                fflush(stdout);
        #endif
	
	free(temp);
	free(pref);
        #ifdef DEBUG
                g_print("Just freed %i bytes of memory\n", sizeof(struct OldEntries));
		g_print("Just freed %i bytes of memory\n", sizeof(struct Preferences));
                fflush(stdout);
        #endif


	if (datafile != NULL)
	{
		fclose(datafile);
	
		#ifdef DEBUG
			g_print("Just closed %s.\n", lbpfilename);
		#endif
	}
	return 0;
}
