#include "gplbp.h"

void add_entries(void)
{
	snprintf(old->TotalDur, TDMAX, "%.2f", atof(temp->TotalDur) + atof(old->TotalDur));
	snprintf(old->ActInst, AIMAX, "%.2f", atof(temp->ActInst) + atof(old->ActInst));
	snprintf(old->SimInst, SIMAX, "%.2f", atof(temp->SimInst) + atof(old->SimInst));
	snprintf(old->Apps, AIMAX, "%i", atoi(temp->Apps) + atoi(old->Apps));
	snprintf(old->Day, DAYMAX, "%.2f", atof(temp->Day) + atof(old->Day));
	snprintf(old->Night, NIGHTMAX, "%.2f", atof(temp->Night) + atof(old->Night));
	snprintf(old->DayLdgs, DLMAX, "%i", atoi(temp->DayLdgs) + atoi(old->DayLdgs));
	snprintf(old->NightLdgs, NLMAX, "%i", atoi(temp->NightLdgs) + atoi(old->NightLdgs));
	snprintf(old->XC, XCMAX, "%.2f", atof(temp->XC) + atof(old->XC));
	snprintf(old->PIC, PICMAX, "%.2f", atof(temp->PIC) + atof(old->PIC));
	snprintf(old->SIC, SICMAX, "%.2f", atof(temp->SIC) + atof(old->SIC));
	snprintf(old->Part135, P135MAX, "%.2f", atof(temp->Part135) + atof(old->Part135));
	snprintf(old->Part121, P121MAX, "%.2f", atof(temp->Part121) + atof(old->Part121));
	snprintf(old->Mil, MILMAX, "%.2f", atof(temp->Mil) + atof(old->Mil));
	snprintf(old->DualRec, DRMAX, "%.2f", atof(temp->DualRec) + atof(old->DualRec));
	snprintf(old->DualGiv, DGMAX, "%.2f", atof(temp->DualGiv) + atof(old->DualGiv));
	snprintf(old->AMEL, AMELMAX, "%.2f", atof(temp->AMEL) + atof(old->AMEL));
	snprintf(old->ASEL, ASELMAX, "%.2f", atof(temp->ASEL) + atof(old->ASEL));
	snprintf(old->HighPerf, HPMAX, "%.2f", atof(temp->HighPerf) + atof(old->HighPerf));
	snprintf(old->Retract, RETMAX, "%.2f", atof(temp->Retract) + atof(old->Retract));
	snprintf(old->Jet, JETMAX, "%.2f", atof(temp->Jet) + atof(old->Jet));
	snprintf(old->TProp, TPMAX, "%.2f", atof(temp->TProp) + atof(old->TProp));
	snprintf(old->Sim, SIMMAX, "%.2f", atof(temp->Sim) + atof(old->Sim));
	snprintf(old->Helo, HELOMAX, "%.2f", atof(temp->Helo) + atof(old->Helo));
	snprintf(old->Glider, GLIMAX, "%.2f", atof(temp->Glider) + atof(old->Glider));
	snprintf(old->TailWheel, TWMAX, "%.2f", atof(temp->TailWheel) + atof(old->TailWheel));
}

void del_entries(void)
{
	snprintf(old->TotalDur, TDMAX, "%.2f", atof(old->TotalDur) - atof(temp->TotalDur));
        snprintf(old->ActInst, AIMAX, "%.2f", atof(old->ActInst) - atof(temp->ActInst));
        snprintf(old->SimInst, SIMAX, "%.2f", atof(old->SimInst) - atof(temp->SimInst));
        snprintf(old->Apps, AIMAX, "%i", atoi(old->Apps) - atoi(temp->Apps));
        snprintf(old->Day, DAYMAX, "%.2f", atof(old->Day) - atof(temp->Day));
        snprintf(old->Night, NIGHTMAX, "%.2f", atof(old->Night) - atof(temp->Night));
        snprintf(old->DayLdgs, DLMAX, "%i", atoi(old->DayLdgs) - atoi(temp->DayLdgs));
        snprintf(old->NightLdgs, NLMAX, "%i", atoi(old->NightLdgs) - atoi(temp->NightLdgs));
        snprintf(old->XC, XCMAX, "%.2f", atof(old->XC) - atof(temp->XC));
        snprintf(old->PIC, PICMAX, "%.2f", atof(old->PIC) - atof(temp->XC));
        snprintf(old->SIC, SICMAX, "%.2f", atof(old->SIC) - atof(temp->SIC));
        snprintf(old->Part135, P135MAX, "%.2f", atof(old->Part135) - atof(temp->Part135));
        snprintf(old->Part121, P121MAX, "%.2f", atof(old->Part121) - atof(temp->Part121));
        snprintf(old->Mil, MILMAX, "%.2f", atof(old->Mil) - atof(temp->Mil));
        snprintf(old->DualRec, DRMAX, "%.2f", atof(old->DualRec) - atof(temp->DualRec));
        snprintf(old->DualGiv, DGMAX, "%.2f", atof(old->DualGiv) - atof(temp->DualGiv));
        snprintf(old->AMEL, AMELMAX, "%.2f", atof(old->AMEL) - atof(temp->AMEL));
        snprintf(old->ASEL, ASELMAX, "%.2f", atof(old->ASEL) - atof(temp->ASEL));
        snprintf(old->HighPerf, HPMAX, "%.2f", atof(old->HighPerf) - atof(temp->HighPerf));
        snprintf(old->Retract, RETMAX, "%.2f", atof(old->Retract) - atof(temp->Retract));
        snprintf(old->Jet, JETMAX, "%.2f", atof(old->Jet) - atof(temp->Jet));
        snprintf(old->TProp, TPMAX, "%.2f", atof(old->TProp) - atof(temp->TProp));
        snprintf(old->Sim, SIMMAX, "%.2f", atof(old->Sim) - atof(temp->Sim));
        snprintf(old->Helo, HELOMAX, "%.2f", atof(old->Helo) - atof(temp->Helo));
        snprintf(old->Glider, GLIMAX, "%.2f", atof(old->Glider) - atof(temp->Glider));
        snprintf(old->TailWheel, TWMAX, "%.2f", atof(old->TailWheel) - atof(temp->TailWheel));
}


void read_old_database(void)
{

	size_t bytes;

	temp = malloc(sizeof(struct OldEntries));
        if ((temp == NULL))
        {
                fprintf(stderr, "Malloc failed.  Out of memory?\n");
                exit(254);
        }

	memset(temp, '\0', sizeof(struct OldEntries));
	memset(old, '\0', sizeof(struct OldEntries));
	
	#ifdef DEBUG
		g_print("Just allocated %i bytes of memory.\n", sizeof(struct OldEntries) * 2);
		fflush(stdout);
	#endif

	fseek(datafile, 0, SEEK_SET);
	bytes = fread(temp, sizeof(struct OldEntries), 1, datafile);
	
	while (bytes != 0)
	{
		#ifdef DEBUG
			g_print("Just read the old entry into memory.\n");
			fflush(stdout);
		#endif
		add_entries();
		fflush(stdout);
		memset(temp, '\0', sizeof(struct OldEntries));
		fseek(datafile, sizeof(struct OldEntries) * -1, SEEK_CUR);
		fseek(datafile, sizeof(struct CurrentEntries), SEEK_CUR);
		bytes = fread(temp, sizeof(struct OldEntries), 1, datafile);
	}
                #ifdef DEBUG
                        g_print("Looks like there were no more old entries in the datafile.\n");
                        fflush(stdout);
                #endif
}


