#include "gplbp.h"

void show_splash_screen(struct CurrentEntries *curr)
{
	GtkWidget *button;
	GtkWidget *box;
	GtkTooltips *tooltips;
	GtkWidget *label;

	if (splashwindow != NULL)
	{
		gtk_widget_destroy(splashwindow);
		splashwindow = NULL;
	}

	splashwindow = gtk_window_new(GTK_WINDOW_DIALOG);
	gtk_window_position(GTK_WINDOW(splashwindow), GTK_WIN_POS_CENTER);
	
	box = gtk_vbox_new(FALSE, 0);

	label = gtk_label_new("G Pilot LogBook Pro\n\n\
Copyright Matthew S. Wood and the\n\
Stampede Linux Foundation.  This\n\
program is freely redistributable\n\
under the terms of the GNU General\n\
Public License (V2).\n\n\
http://www.stampede.org\n\
skibum@beer.stampede.org");

	tooltips = gtk_tooltips_new();
	button = gtk_button_new_with_label("Close");
	gtk_signal_connect(GTK_OBJECT(button), "clicked", GTK_SIGNAL_FUNC(destroysplash), NULL);
	gtk_tooltips_set_tip(tooltips, button, "Close the current window", NULL);


	gtk_box_pack_start(GTK_BOX(box), label, FALSE, FALSE, 0);
	gtk_box_pack_start(GTK_BOX(box), button, FALSE, FALSE, 0);
	gtk_container_add(GTK_CONTAINER(splashwindow), box);
	gtk_container_border_width(GTK_CONTAINER(splashwindow), 5);
	gtk_widget_show(label);
	gtk_widget_show(button);
	gtk_widget_show(box);
	gtk_widget_show(splashwindow);

}

void destroysplash(GtkWidget *widget, gpointer *data)
{
	gtk_widget_destroy(splashwindow);
	splashwindow = NULL;
}
