#include "gplbp.h"

GtkWidget *gtk_xpm_box_new (GtkWidget *parent, gchar *xpm_filename)
       {
           GtkWidget *box1;
           GtkWidget *pixmapwid;
           GdkPixmap *pixmap;
           GdkBitmap *mask;
           GtkStyle *style;

           /* create box for xpm and label */
           box1 = gtk_hbox_new (FALSE, 0);
           gtk_container_border_width (GTK_CONTAINER (box1), 2);

           /* get style of button.. I assume it's to get the background color.
            * if someone knows the real reason, please enlighten me. */
           style = gtk_widget_get_style(parent);

           /* now on to the xpm stuff.. load xpm */
           pixmap = gdk_pixmap_create_from_xpm (parent->window, &mask,
                                                &style->bg[GTK_STATE_NORMAL],
                                                xpm_filename);
           pixmapwid = gtk_pixmap_new (pixmap, mask);

           /* create label for button */

           /* pack the pixmap and label into the box */
           gtk_box_pack_start (GTK_BOX (box1), pixmapwid, FALSE, FALSE, 3);

           gtk_widget_show(pixmapwid);

           return (box1);
       }

